Bug 387951 - artdisplay Fails to Display cover.jpg Images
Summary: artdisplay Fails to Display cover.jpg Images
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2   
(Show other bugs)
Version: 8
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-17 00:16 UTC by Richi Plana
Modified: 2008-02-05 22:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 22:58:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richi Plana 2007-11-17 00:16:01 UTC
Description of problem:
This is a regression. Previous versions of rhythmbox in Fedora 7 would display
all the cover.jpg image files in the various subdirectories of my music archive.
The current version fails on _some_ cover.jpg images in the subdirectories. It
is not immediately apparent which image files work and which don't.

Version-Release number of selected component (if applicable):
rhythmbox-0.11.2-10.fc8

Comment 1 Bastien Nocera 2007-12-10 11:22:48 UTC
Sounds like:
http://bugzilla.gnome.org/show_bug.cgi?id=500785
Which is actually a bug in GTK+:
http://bugzilla.gnome.org/show_bug.cgi?id=494667

Comment 2 Richi Plana 2007-12-10 15:52:14 UTC
Yes, it is. I apologize for not having updated this bug. I've tested the patch
to gtk gdkpixbuf that Ed attached in
http://bugzilla.gnome.org/show_bug.cgi?id=494667#c5 and it does fix the problem.
Bug 500785 above in gnome was actually reported by me and is indeed the same
bug, bug in gnome bugzilla.

Comment 3 Matthias Clasen 2008-02-05 22:58:15 UTC
The fix is included in gtk2 2.12.5, which is in f8-updates.


Note You need to log in before you can comment on or make changes to this bug.